Package org.apache.aries.transaction

## Class TxInterceptorImpl

- java.lang.Object
- - org.apache.aries.transaction.TxInterceptorImpl

All Implemented Interfaces:
  `org.apache.aries.blueprint.Interceptor`

    public class TxInterceptorImpl
    extends java.lang.Object
    implements org.apache.aries.blueprint.Interceptor

### Constructor Summary

Constructors
`TxInterceptorImpl​(javax.transaction.TransactionManager tm, org.osgi.service.coordinator.Coordinator coordinator, ComponentTxData txData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRank()`
`void` `postCallWithException​(org.osgi.service.blueprint.reflect.ComponentMetadata cm, java.lang.reflect.Method m, java.lang.Throwable ex, java.lang.Object preCallToken)`
`void` `postCallWithReturn​(org.osgi.service.blueprint.reflect.ComponentMetadata cm, java.lang.reflect.Method m, java.lang.Object returnType, java.lang.Object preCallToken)`
`java.lang.Object` `preCall​(org.osgi.service.blueprint.reflect.ComponentMetadata cm, java.lang.reflect.Method m, java.lang.Object... parameters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TxInterceptorImpl

    public TxInterceptorImpl​(javax.transaction.TransactionManager tm,
                             org.osgi.service.coordinator.Coordinator coordinator,
                             ComponentTxData txData)

### Method Detail

#### getRank

    public int getRank()

Specified by:
  `getRank` in interface `org.apache.aries.blueprint.Interceptor`

#### preCall

    public java.lang.Object preCall​(org.osgi.service.blueprint.reflect.ComponentMetadata cm,
                                    java.lang.reflect.Method m,
                                    java.lang.Object... parameters)
                             throws java.lang.Throwable

Specified by:
  `preCall` in interface `org.apache.aries.blueprint.Interceptor`
Throws:
  `java.lang.Throwable`

#### postCallWithException

    public void postCallWithException​(org.osgi.service.blueprint.reflect.ComponentMetadata cm,
                                      java.lang.reflect.Method m,
                                      java.lang.Throwable ex,
                                      java.lang.Object preCallToken)

Specified by:
  `postCallWithException` in interface `org.apache.aries.blueprint.Interceptor`

#### postCallWithReturn

    public void postCallWithReturn​(org.osgi.service.blueprint.reflect.ComponentMetadata cm,
                                   java.lang.reflect.Method m,
                                   java.lang.Object returnType,
                                   java.lang.Object preCallToken)
                            throws java.lang.Exception

Specified by:
  `postCallWithReturn` in interface `org.apache.aries.blueprint.Interceptor`
Throws:
  `java.lang.Exception`